#default application.properties, always used
# but application-xxx.properties overrides some of it if put in use by profile setting
spring.mvc.view.prefix: /
spring.mvc.view.suffix: .jsp
# useful and not too wordy--
logging.level.org.springframework.web=DEBUG
# uncomment if having problems--more extensive logging
#logging.level.org.springframework=DEBUG
# default setup: use mysql
# get details from environment variables (see DatabaseSetup.html)
spring.datasource.url = jdbc:mysql://${MYSQL_SITE}/${MYSQL_USER}db
spring.datasource.username = ${MYSQL_USER}
spring.datasource.password = ${MYSQL_PW}

#enable actuator endpoints such as /actuator/mappings, beans, etc. for sys info
management.endpoints.web.exposure.include=*
server.port = 9002
